ig.module(
	'game.entities.paddle'
)
.requires(
	'impact.entity'
)
.defines(function(){

EntityPaddle = ig.Entity.extend({

	name: 'paddle',

	size: {x:64, y:128},
	collides: ig.Entity.COLLIDES.FIXED,
	type: ig.Entity.TYPE.A,

	animSheet: new ig.AnimationSheet( 'media/paddle.png', 64, 128 ),

	maxVel: {x: 0, y: 400},

	init: function( x, y, settings ) {
		this.parent( x, y, settings );
		
		this.addAnim( 'idle', 1, [0] );
	}

});

});
